'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Type guard to check if a filter is a {@link HierarchicalFilter}.
 *
 * @param filter - The filter to check.
 *
 * @returns True if the filter is a {@link HierarchicalFilter}, false otherwise.
 *
 * @public
 */
function isHierarchicalFilter(filter) {
    return filter.modelName === 'HierarchicalFilter';
}

exports.isHierarchicalFilter = isHierarchicalFilter;
